Subject: RE:Beautyrest Plush Multi-Level Heat Settings Controller, Secure Comfort Zero Radiation Technology and Auto Shut Off Safety, King, Black #Ref 2021012000090333
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 22 Jan 2021 16:34:13 -0800

Hello,

Thank you for your email.  I am sorry to hear you are experiencing problems with your electric product. Please contact JLA Home at 1-866-456-8852; they will be able to assist you. They will need the following information to register your product and to assist you further.  Their hours are M-F 7am - 3:30pm (PST).

Your order ID number where purchased from
Your Physical Mailing Address:
Phone number:
Brand of Product:
Product Category:
Size of product:
Color of Product:
Controller Model No.:
Place of Purchase:
Date of Purchase:
Price of Purchase:
RN#: (this can be found on the bottom of the controller)
Stamped Date Code: (Located on the big white sewn on label)

If you have not already done so, we recommend that you please try and trouble shoot your electric product.  Please disconnect the controller and disconnect the power cord; wait 30 minutes and then plug the controller back into the Blanket and power cord. This may help to reset the unit.  If this does not fix the issue please contact our Customer Service at 1-866-456-8852

Thank you,

Erlinda

Senior Customer Service Rep

Designer Living & Electric Product

E&E Co. Ltd. dba JLA Home

===============================================================================

Hi I ordered a heating blanket back in September and about a week ago the top half of the blanket stopped heating. As of yesterday it will no longer turn on. I was wondering if I could exchange it for another one or do I have to make a claim?

-Maritza
708-682-8060

Sent from my iPhone